Package lxml :: Package tests :: Module test_classlookup

[hide private]
[frames] | no frames]

# Module test_classlookup

source code

Tests for different Element class lookup mechanisms.

Classes | [hide private]

| ProxyTestCase Basic tests for element proxy behaviour.
| ClassLookupTestCase Test cases for different Element class lookup mechanisms.

Functions | [hide private]

test_suite() | source code

Variables | [hide private]

| this_dir = ``'``/home/stefan/source/Python/lxml/lxml-release/src/l``...``
| xml_str = ``'``<root xmlns="myNS" xmlns:other="otherNS">\n <c1 a1``...``
| __package__ = ``'``lxml.tests``'``

Variables Details | [hide private]

### this_dir

Value:

      '/home/stefan/source/Python/lxml/lxml-release/src/lxml/tests'

### xml_str

Value:

      '''<root xmlns="myNS" xmlns:other="otherNS">
        <c1 a1="A1" a2="A2" other:a3="A3">
          <c2 a1="C2">0</c2>
          <c2>1</c2>
          <other:c2>2</other:c2>
        </c1>
      </root>'''